/* Copyright (c) 1999 by Inria Lorraine.  All Rights Reserved */

/***
   NAME
     InetAddressImpl
   PURPOSE
     
   NOTES
     
   HISTORY
     chelius - Jul 25, 1999: Created.
     $Log: InetAddressImpl.java,v $
     Revision 1.1  2000/04/27 13:24:13  sdalu
     ajout jdk1.1

     Revision 1.1.1.1  1999/07/25 15:01:56  chelius
     First release of the ipv6 packages for java

***/
package java.net;


import java.util.Hashtable;

class InetAddressImpl {
    native String getLocalHostName() throws UnknownHostException;
    native void makeAnyLocalAddress(InetAddress addr);
    native byte [][]
        lookupAllHostAddr(String hostname) throws UnknownHostException;
    native String getHostByAddr(byte addr[]) throws UnknownHostException;
    native int getInetFamily();
    native byte[] getbynameipv6(String host);
    native String gettextaddress(byte addr[]);
}
